
package org.sky.scientific.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.sky.core.mp.base.BaseService;
import org.sky.scientific.excel.CgQtExcel;
import org.sky.scientific.pojo.dto.CgQtDTO;
import org.sky.scientific.pojo.entity.CgQtEntity;
import org.sky.scientific.pojo.vo.CgQtVO;
import org.sky.scientific.pojo.vo.XmCGSummary;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 科研成果-其他成果 服务类
 *
 * @author Kd
 * @since 2025-06-29
 */
public interface ICgQtService extends BaseService<CgQtEntity> {

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<CgQtExcel>
	 */
	List<CgQtExcel> export(Wrapper<CgQtEntity> queryWrapper);

    void importQt(MultipartFile file);

	boolean save(CgQtEntity cgQt);

	boolean update(CgQtEntity cgQt);

	boolean physicalDeleteByIds(List<Long> ids);

	/**
	 * 研发项目成果
	 * @param page
	 * @param xmId
	 * @return
	 */
	IPage<XmCGSummary> xmCgSummary(IPage<XmCGSummary> page, Long xmId);

	IPage<CgQtVO> selectQtPage(IPage<CgQtVO> page, CgQtDTO dto);
}
